using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 证件类型
/// </summary>
public enum CertificateType
{
    /// <summary>
    /// 无
    /// </summary>
    [Description("无")]
    NONE = 0,
    /// <summary>
    /// 居民身份证
    /// </summary>
    [Description("居民身份证")]
    ID_CARD = 1,
    /// <summary>
    /// 香港特区护照
    /// </summary>
    [Description("香港特区护照")]
    HK_PASSPORT = 6,
    /// <summary>
    /// 澳门特区护照
    /// </summary>
    [Description("澳门特区护照")]
    MACAO_PASSPORT = 7,
    /// <summary>
    /// 台湾居民来往大陆通行证
    /// </summary>
    [Description("台湾居民来往大陆通行证")]
    TW_TRAVEL_PERMITS = 8,
    /// <summary>
    /// 境外永久居住证
    /// </summary>
    [Description("境外永久居住证")]
    OVERSEAS_PERMITS = 9,
    /// <summary>
    /// 护照
    /// </summary>
    [Description("护照")]
    PASSPORT = 10,
    /// <summary>
    /// 其他
    /// </summary>
    [Description("其他")]
    OTHER = 11,
}
